# CurveMap(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``CurveMap`(bpy_struct)

  Curve in a curve mapping

  `extend`

    Extrapolate the curve or extend it horizontally

    Type: | enum in [‘HORIZONTAL’, ‘EXTRAPOLATED’], default ‘HORIZONTAL’

  `points`

    Type: | `CurveMapPoints` `bpy_prop_collection` of `CurveMapPoint`, (readonly)

  `evaluate`(position)

    Evaluate curve at given location

    Parameters: | position (float in [-inf, inf]) – Position, Position to evaluate curve at
    Returns: | Value, Value of curve at given location
    Return type: | float in [-inf, inf]

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`CurveMapping.curves` |